/*
 * Copyright 2006-2011 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.codegen.element;

public class FieldSetting {
    private String typeName;

    private boolean isNotNull;

    private int colmnSize;

    private int pointNumber;

    private String fieldDefault;

    private String javaType;

    private boolean isJavaObj;

    private String rdbType;

    public int getColmnSize() {
        return colmnSize;
    }

    public void setColmnSize(int colmnSize) {
        this.colmnSize = colmnSize;
    }

    public String getFieldDefault() {
        return fieldDefault;
    }

    public void setFieldDefault(String fieldDefault) {
        this.fieldDefault = fieldDefault;
    }

    public boolean isNotNull() {
        return isNotNull;
    }

    public void setNotNull(boolean isNotNull) {
        this.isNotNull = isNotNull;
    }

    public int getPointNumber() {
        return pointNumber;
    }

    public void setPointNumber(int pointNumber) {
        this.pointNumber = pointNumber;
    }

    public String getTypeName() {
        return typeName.toUpperCase();
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public boolean isJavaObj() {
        return isJavaObj;
    }

    public void setJavaObj(boolean isJavaObj) {
        this.isJavaObj = isJavaObj;
    }

    public String getJavaType() {
        return javaType;
    }

    public void setJavaType(String javaType) {
        this.javaType = javaType;
    }

    public String getRdbType() {
        return rdbType;
    }

    public void setRdbType(String rdbType) {
        this.rdbType = rdbType;
    }

}
